#include "game.h"

GameEvent game(Window &window)
{
    Event event;

    Ground ground(0, 200);
    Fire fire(-10,72);

    while(true)
    {
        if (event == Quit) window.quit();

        window.clear();

        window.draw(ground);
        window.draw(fire);

        window.update();
    }

    return None;
}

bool Event::operator==(GameEvent event)
{
    SDL_PollEvent(&(this->event));

    GameEvent e = None;
    
    switch((this->event).type)
    {
        case SDL_QUIT: e = Quit; break;
        case SDLK_w:   e = Up; break;
        case SDLK_a:   e = Left; break;
        case SDLK_s:   e = Down; break;
        case SDLK_d:   e = Right; break;
        default:       e = None;
    }

    return e == event;
}